View Issue Details

IDProjectCategoryView StatusLast Update
0002570MediaMonkey 4Main Panel/Toolbars/Menuspublic2008-12-30 01:48
Reporterjiri Assigned To 
PriorityimmediateSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.1 
Fixed in Version3.1 
Summary0002570: Library node should show all tracks in Library
DescriptionCurrently is user selects Library node, nothing is shown and it was repeatedly reported as confusing. We should instead show all track in library.

This has the added benefit of allowing the tree to be kept completely collapsed so that:
a) Track browser can be used without expanding the tree
b) Filters can be displayed directly in the tree (each filter can appear as a collapsed library)

Default sort order can be Artist / Album.
TagsNo tags attached.
Fixed in build1203

Relationships

related to 0003040 closedLudek Implement proper full-text search 
related to 0003504 resolvedrusty podcast node should show all podcasts 
related to 0003505 new all subnodes turned off should turn off expand triangle 
related to 0003464 feedbackjiri Make Search bar options more clear 
related to 0003754 closedLudek Search bar: Configureable search mode on a per root node basis 

Activities

jiri

2006-07-26 08:00

administrator   ~0007608

Assigning to Rusty for a review, please assign to Petr then.

petr

2008-07-17 18:31

developer   ~0014381

Fixed in 1185

stephen_platt

2008-12-04 03:20

developer   ~0015344

Verified 1199

Bex

2008-12-16 16:51

updater   ~0015662

See discussion here:
http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=35039

This feature should be configurable in Tools->Options->Library, e.g.:
 [ ] When Library Node is selected, Add all tracks to Main Window

I also think that when pressing F7 (=Collapse the tree) the focus should be set to the Location node instead of the Library node.

jiri

2008-12-16 17:04

administrator   ~0015663

Assigning to Rusty for a review.

I agree that this could be an issue for users with large collections. I'm not sure whether changing the shortcut is really a good idea, either users could be used to it, or it could stop working in case Location node is hidded. So maybe adding the option as proposed is the best solution (turned on by default).

rusty

2008-12-16 20:25

administrator   ~0015669

Last edited: 2008-12-16 20:27

Seems configurability is needed for this feature (at least until DB performance improves further). I've modified the suggested wording to reflect the fact that all tracks aren't necessarily shown (depending on the active filter):

Tools > Options > Library > Appearance (first entry)
[x] Show tracks in the Library node

Hint: Enable to show tracks directly in the Library node. Disable for better performance in a huge library.

Re. changing F7 behavior, I don't think that's necessary for now (just resolving the first issue fixes the most significant problems).

petr

2008-12-16 22:38

developer   ~0015681

Will be in 1203

peke

2008-12-30 01:48

developer   ~0015848

Verified in 1205.